{% extends "base.html" %}

{% block main %}
<div>
    <h1>My Lists</h1>
    <a href="{% url "todo_list_create" %}">Create</a>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number of Items</th>
            </tr>
        </thead>
        <tbody>
            {% for todo in todo_list_list %}
            <tr>
                <td>
                    <a href="{% url "todo_list_detail" todo.id %}">{{ todo.name }}</a>
                </td>
                <td>{{ todo.items.count }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
{% endblock main %}
